curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/notifications/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notification_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'Mark one or more notifications as read. If no IDs provided, marks all unread notifications as read.
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/notifications/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notification_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
List of notification IDs to mark as read. If empty, marks all unread notifications as read.
200Notifications marked as read successfully